package com.sqx.modules.bl.order.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.sqx.common.utils.Result;
import com.sqx.modules.bl.order.entity.UserPackage;

import java.util.List;

public interface UserPackageService extends IService<UserPackage> {

    Result findList(UserPackage userPackage);

    int insert(UserPackage userPackage);

    int updateStatusByOrder(UserPackage userPackage);

    Result findMyPackageList(UserPackage userPackage);

    UserPackage getMyPackageById(Long id);

    int deletePackageByOrders(Long ordersId);

    List<UserPackage> findList(Long ordersId);
}